classification
Title: subprocess: wait for a period of time
Type: enhancement Stage: resolved
Components: Library (Lib) Versions:
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Add timeout option to subprocess.Popen
View: 5673
Assigned To: astrand Nosy List: astrand, gd2shoe, ragnar, skrah
Priority: normal Keywords:

Created on 2006-01-04 13:21 by ragnar, last changed 2010-07-22 20:48 by skrah. This issue is now closed.

Messages (3)
msg54701 - (view) Author: Ragnar Ouchterlony (ragnar) Date: 2006-01-04 13:21
I would appreciate if the wait() method of Popen()
would be able to take a time argument, to wait at most
this time, before returning. It would be nice to be
able to wait for a program, and if it has hanged, you
still get back to the program.
msg71786 - (view) Author: (gd2shoe) Date: 2008-08-22 22:22
This is just common sense.  I'm trying to avoid a poll() busy-wait
section of code.  I'll figure it out, but it would be much, much easier
if wait accepted a number of seconds, and returned None if the process
was still going (cf. Popen.poll() ).

I'm much happier with subprocess than os.popen*.  I'm also glad that
Popen.kill() is slated for 3.0 .

Since this isn't in the 3.0b3 documentation, I assume this either isn't
fixed or planned?  Are there implementation difficulties?
msg111214 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-07-22 20:48
This is now being addressed in issue 5673, so closing this as a duplicate.

astrand, please let me know if I'm wrong about this.
History
Date User Action Args
2010-07-22 20:48:01skrahsetstatus: open -> closed

superseder: Add timeout option to subprocess.Popen

nosy: + skrah
messages: + msg111214
resolution: duplicate
stage: resolved
2008-08-22 22:22:23gd2shoesetnosy: + gd2shoe
messages: + msg71786
2006-01-04 13:21:40ragnarcreate